--[[
	All rights are reserved unless explicitly stated below. The "license holder" is Krdan (hideki87@gmail.com)
	
	# You may use this addon in accordance with all applicable terms set by Blizzard Entertainment for addon usage
	# You may modify this addon for personal use
	# You may NOT redistribute this addon in any way or form
--]]


-- register with Ace Libraries
Oblivion = LibStub("AceAddon-3.0"):NewAddon("Oblivion", "AceEvent-3.0");

local Ob = Oblivion;
local AddonVersion = GetAddOnMetadata("Oblivion", "Version");

CreateFrame("button","OblivionButton",nil,"SecureActionButtonTemplate");
local o = OblivionButton;

function Ob:OnEnable()
	self:RegisterEvent("OBLITERUM_FORGE_PENDING_ITEM_CHANGED", "ItemChanged");
	o:SetAttribute("type","click");
end

function Ob:ItemChanged()
	o:SetAttribute("clickbutton",ObliterumForgeFrame.ObliterateButton);
end

-- bindings
BINDING_HEADER_OBLIVION = "Oblivion";
setglobal("BINDING_NAME_CLICK OblivionButton:LeftButton", "Obliterate");